Introduction

With Creative Media Explorer, you can manage media and data files, and enjoy organizer features from your computer.

For more comprehensive management of your player, use Creative MediaSource™ Organizer. Refer to the Creative MediaSource Organizer Help for more information.

Use Creative Media Explorer to:

  • Launch Audio CD Ripper to rip your favorite audio CDs into MP3 and WMA files.

  • Transfer MP3, WMA and WAV files, pictures and videos from your computer to your player, or between players, using familiar Windows methods, such as Drag-and-Drop and Cut-and-Paste.

  • Synchronize the music, picture and video collections, calendar, tasks and contact information in your player and your computer using Sync Manager.

  • Edit calendar, "to do" tasks and contact information using the Personal Information Manager editor.

  • Allow files protected by Digital Rights Management (DRM) technology to be properly transferred to your player.

  • Play songs or videos, and view pictures when your player is connected to your computer.

  • Launch Creative Video Converter to convert your videos to a supported video format.

  • Create and edit slideshows.

Notes

  • For more information on Audio CD Ripper and Sync Manager, refer to their respective Help.

  • Some features and options are available only with selected products.

  • You can only play non-protected files in your Selected Music folder. Playing DRM protected files in the Selected Music folder is possible only if you have the necessary license to play the file on your computer.


Launching Creative Media Explorer

After Creative Media Explorer is installed in your computer, the Creative Media Explorer icon appears in Windows Explorer under My Computer. Connect your player to your computer and an icon representing your player appears under the Creative Media Explorer icon.

When your player is connected to your computer, the Media Player dialog box appears. Click the Organize media files in this device using Creative Media Explorer option, and then click the OK button.

To launch Creative Media Explorer

  • Click the icon representing your player.
    You will see the following contents on your player: Data, Media Library and Selected Music folders. The Creative Media Explorer home page appears. The status of your device is shown in this page.

To perform a task from the home page

  1. If you have more than one player, click the Select device box and select the player that you want to set as active. Only one player can be active at any one time.

  2. To perform a task, click one of the options in the home page.

Note

  • Some options are available only with selected products.


Creating a folder

To create a folder

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. Click the Data folder to access the data files.

  4. Right-click the main window, and select New Folder.

  5. On the toolbar, click the New Folder button. A new folder appears with a temporary name.

  6. Type a name for the new folder and then press <ENTER>.

Tips

  • If you want to create a new folder within a folder, double-click the first folder and then follow steps 4-5 above.

  • To change the way files or folders are displayed, refer to Views button.

Note

  • A file or folder name can contain up to 255 characters, including spaces. It cannot contain the following characters:
    \ / : * ? " < > |


Opening, deleting or renaming a file or folder

To open, delete or rename a file or folder

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. Click the Data folder to access the data files.

  4. To open a file or folder, double-click the file or folder you want.

  5. To delete a file or folder, right-click the file or folder you want, and select Delete.

  6. To rename a file or folder, right-click the file or folder you want, and select Rename.
    Type the new name, and press <ENTER>.

Tip

  • To change the way files or folders are displayed, refer to Views button.

Note

  • A file or folder name can contain up to 255 characters, including spaces. It cannot contain the following characters:
    \ / : * ? " < > |


Copying or moving a file or folder

To copy or move a file or folder using the Copy-and-Paste and Cut-and-Paste methods

  1. In Windows Explorer, locate the file or folder you want.

  2. If the file or folder is in your player, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  3. Click the player that you want to set as active. Only one player can be active at any one time.

  4. Double-click the Data folder to access the data files.

  5. Click the file or folder you want.

  6. To copy a file or folder, on the toolbar, click Edit -> Copy.
    To move a file or folder, on the toolbar, click Edit -> Cut.

  7. Locate and select the folder where you want to copy or move the file or folder to.

  8. On the toolbar, click Edit -> Paste.
    The file or folder is copied or moved to the selected folder.

To copy or move a file or folder using the Drag-and-Drop method

  1. Follow steps 1-4 above.

  2. Click the file or folder you want, and drag it to the folder where you want to copy or move it to.
    If you want to copy a file or folder, hold down the <CTRL> key when you drag the file or folder.
    If you want to move a file or folder, hold down the <SHIFT> key when you drag the file or folder.

  3. Release the mouse button.
    The file or folder is copied or moved to the selected folder.

Tips

  • To copy a file or folder, you can also right-click the file or folder, and select Copy. Locate and right-click the folder where you want to put the copy, and select Paste.

  • To move a file or folder, you can also right-click the file or folder, and select Cut. Locate and right-click the folder where you want to move the file or folder to, and select Paste.

  • To select several files or folders, hold down the <CTRL> key, and click the files or folders that you want.

  • To select consecutive files or folders, hold down the <SHIFT> key, and click the first and last files or folders.


Accessing calendar, tasks and contact information

You can only view calendar, tasks and contact information in your player. To edit the information, use the Personal Information Manager editor.

To start Personal Information Manager

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. On the Creative Media Explorer home page, click the Manage Organizer Data option.
    The Personal Information Manager window appears.

To create a new event, task or contact

  1. Click File -> New Calendar, New Task or New Contact.

  2. Type your information in the relevant boxes. For date and time, you can also click the down arrow next to each box to select an option.

  3. To mark an event as an all day event, click the All day event option.

  4. Click the Add button.

To edit an existing entry

  1. Click the Calendar, Tasks or Contacts tab.

  2. Click an existing entry.

  3. Make the changes you want and click the Save button.

To display an expired calendar event or completed task

  • In the Calendar tab, click the Display expired calendar event option.
    In the Tasks tab, click the Display completed Tasks option.
    The expired event or completed task is displayed as strikethrough text.

To display your calendar events by week or month

  1. In the Calendar tab, click the Week tab to see the events in a week.
    To see the events in a month, click the Month tab.

  2. Click the View box to select the display period.

To hide or display a column

  1. Click the Calendar, Tasks or Contacts tab.

  2. Right-click a title bar and select the category you want, for example, Subject, Start Date or Description.

To display a column in ascending or descending order

  1. Click the Calendar, Tasks or Contacts tab.

  2. Click a title bar. The content appears in ascending order.

  3. Click the title bar again to list the content in descending order.

Notes

  • This feature is available only for selected products.

  • To remove the Due Date, Start Date and Birthday information, click the smaller check box inside the Due Date, Start Date and Birthday boxes. By default, they are selected.


Editing track information

You may need to edit track information when the information is incomplete or wrong.

To edit information about a track

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. In the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. Click the Music folder.

  5. Click the folder containing the track(s) that you want to edit.

  6. In the main window, right-click the track you want to edit, and select Edit Track Properties.

  7. Type in the new information.

  8. Click the OK button.

Notes

  • To select several files, hold down the <CTRL> key, and click the files that you want.

  • To select consecutive files, hold down the <SHIFT> key, and click the first and last files.

  • This feature is available only with selected products.


Creating and editing playlists

Creative Media Explorer allows you to create playlists quickly, by adding tracks from Media Library or the Selected Music folder.

To create a playlist by adding tracks

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. In the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. To display all the music tracks in your player, click the Music folder.
    To display your selected music tracks, click the Selected Music folder.

  5. In the main window, right-click the track you want, and select Add to Playlist.

  6. In the Add Tracks to Playlist box, type a playlist name to create a new playlist with the selected track.

  7. Click the OK button.

To create an empty playlist

  1. Follow steps 1-3 above.

  2. Click the My Playlists folder.

  3. Right-slick the main window and select New Playlist.
    Alternatively, click the New Playlist button on the toolbar. A new playlist appears with a temporary name.

  4. Type a name for the new playlist and then press <ENTER>.

To add a track to a playlist

  1. Follow steps 1-4 above in 'To create a playlist by adding tracks'.

  2. In the Add Tracks to Playlist box, click the list box, and select an existing playlist.

  3. Click the OK button.

To change the track order in a playlist

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. In the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. Click the My Playlists folder and select a playlist.

  5. In the main window, click and drag tracks to their new positions in the playlist.

To delete a playlist

  1. Follow steps 1-3 above.

  2. Click the My Playlists folder.

  3. Right-click a playlist and select Delete.

Tip

  • To add a track to a playlist, you can also click and drag the track from the main window to the playlist folder displayed in the Folders panel.

Note

  • This feature is available only with selected products.


Locating files

With Creative Media Explorer, you can locate digital audio files, pictures or videos using column sort.

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. In the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. Click the Music, Pictures or Video folder.

  5. In the main window, click a column, for example, Size, to sort the list alphabetically.

  6. Drag the vertical scroll bar to find your track.

Note

  • This feature is available only with selected products.


Playing back songs from Media Library

To play songs or videos from Media Library

With Creative Media Explorer, you can play tracks or videos directly from Media Library.

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. In the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. Click the Music or Video folder.

  5. Double-click the track or video.
    Alternatively, right-click the track or video and click Play or Open.

Notes

  • The Video folder is available only with selected products.

  • To display information about the video, right-click the video and select Properties.

  • You can also play songs from the Selected Music folder.


Viewing pictures from Media Library

To view pictures from Media Library

With Creative Media Explorer, you can view pictures directly from Media Library.

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. In the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. Click the Pictures folder.

  5. Double-click the picture.
    Alternatively, right-click the picture and click Open.

Note

  • This feature is available only with selected products.

  • To display information about the picture, right-click the picture and select Properties.

  • To change the way files or folders are displayed, refer to Views button.


Creating Slideshows

Creating and editing slideshows

With Creative Media Explorer, you can create slideshows to view pictures with music in the background.

To create a slideshow

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. In the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. Click the Pictures folder.

  5. In the main window, right-click the picture file or folder that you want, and select Add to Slideshow.

  6. In the window that appears, type a slideshow name in the drop-down box.

  7. Click the OK button.

To add music to the background of a slideshow

  1. Follow steps 1-3 above.

  2. Click the Music folder.

  3. In the main window, right-click the music track or folder that you want, and select Add to Slideshow.

  4. In the window that appears, type the slideshow name in the drop-down box to create a new slideshow or select an existing slideshow from the drop-down box.

  5. Click the OK button.

To edit an existing slideshow

  1. Follow steps 1-3 above in 'To create a slideshow'.

  2. Click the My Slideshows folder.

  3. In the main window, double-click the slideshow file that you want.
    The slideshow pictures and an Audio folder appear.

  4. Move picture files to change the picture order in the slideshow.
    Move picture files to the Pictures folder in an easy drag-and-drop operation. Delete existing pictures from the Pictures folder.
    Move music files from Music Library to the Audio folders in an easy drag-and-drop operation. Delete existing music files from the Audio folder.

Note

  • This feature is available only with selected products.


Adding a track to the Selected Music folder

To add a track to the Selected Music folder

You can only play songs directly from Media Library if they have been added to the Selected Music folder.

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. In the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. Click the Music folder.

  5. In the main window, right-click the track you want, and select Add to Selected Music.

Notes

  • To select several files, hold down the <CTRL> key, and click the files that you want.

  • To select consecutive files, hold down the <SHIFT> key, and click the first and last files.

  • If your player supports playlists, you can create a playlist from your Selected Music folder.


Playing songs from the Selected Music folder

To play songs from the Selected Music folder

You can play songs that have been added to the Selected Music folder.

  1. In Windows Explorer, locate and click the Creative Media Explorer icon. A list of supported Creative players connected to your computer appears.

  2. Click the player that you want to set as active. Only one player can be active at any one time.

  3. Click the Selected Music folder. All the selected music tracks appear.

  4. Select a track and click the Play button.

Note

  • To change the play order, move music files in an easy drag-and-drop operation.


Copying media files to your player's Media Library

Creative Media Explorer lets you copy digital audio files, pictures or videos to the Media Library easily, using the Copy-and-Paste or Drag-and-Drop method.

To copy a digital audio file, picture or video using the Drag-and-Drop method

  1. In Windows Explorer, locate the file you want to copy from your computer.

  2. Click the file and drag it to the Music, Pictures or Video folder under Media Library.

To copy a digital audio file, picture or video using the Copy-and-Paste method in Windows Explorer

  1. If the file is in your player's data library, click the Creative Media Explorer icon, and click the player that you want to set as active. Only one player can be active at any one time.
    If the file is in your computer, locate and select the file you want to copy from your computer.

  2. On the toolbar, click Edit -> Copy.

  3. In Creative Media Explorer, in the Folders panel, click the plus sign [image] next to the Media Library folder.

  4. Click the Music, Pictures or Video folder.

  5. On the toolbar, click Edit -> Paste.

Notes

  • If an error message appears, telling you that a video format is not supported, launch Creative Video Converter to convert your video to a supported format.

  • Some features and options are available only with selected products.

Tips

  • Before copying files, you can start more than one session of Windows Explorer. In each window, navigate to the folders you will be transferring files to and from.

  • You can also right-click the file you want to copy, and click Copy. Locate and right-click the folder where you want to put the copy, and then click Paste.

  • To select several files, hold down the <CTRL> key and click the files that you want.

  • To select consecutive files, hold down the <SHIFT> key and click the first and last files.


Adding your name to your player

To add your name to your player

  1. On the toolbar, click the Settings button [image].

  2. Click the General tab.

  3. Click the box next to the player icon and type your name.

  4. Click the OK button.


Deleting calendar, tasks and contact information

To delete calendar, tasks and contact information

  1. On the toolbar, click the Settings button [image].

  2. Click the Tools tab.

  3. Click the Clean Up Now button.

Notes

  • This feature removes all your calendar, tasks and contact information.

  • This feature is available only for selected products.


Pictures

To resize your pictures

With Creative Media Explorer, you can automatically resize pictures before transferring them to your player. This feature minimizes disk space usage by reducing your picture size for optimal viewing on your player's screen size.

  1. On the toolbar, click the Settings button [image].

  2. Click the Pictures tab.

  3. Click the Resize Pictures box.

Notes

  • This feature is available only for selected products.


Cleaning up temporary files

To clean up temporary files

  1. On the toolbar, click the Settings button [image].

  2. Click the Tools tab.

  3. Click the Delete Files button.


Formating your device

To format your player

  1. On the toolbar, click the Settings button [image].

  2. Click the Tools tab.

  3. Click the Format button.

Notes

  • This feature removes all your files and folders.


AudioSync button

Sync Manager button

Launches Sync Manager to synchronize the music, picture and video collections, calendar, tasks and contact information in your player and your computer.

Note

  • You can also launch Sync Manager from the home page.


CD Ripper button

Launches Audio CD Ripper to rip your CDs.

Note

  • You can also launch Audio CD Ripper from the home page.


Settings button

Configures your player's information.


Home button

Note

  • Returns you to the Creative Media Explorer home page.


View button

Views button

Displays files or folders as thumbnails, large icons or small icons, or in lists.


New Folder button

Creates a new folder.


New Playlist button

Creates a new playlist.

Notes

  • This feature is available only for selected products in My Playlists.


New Slideshow button

Creates a new slideshow.

Notes

  • This feature is available only for selected products in My Slideshows.


Playback controls

The playback buttons from left to right are: Previous, Play, Pause, Stop and Next.